
% b boundary condition
% p grid points
% e edges of triangles
% t triangles
% c parameter =1 or 2 
% a coefficient of linear term, here =0 
% f initial value

% get right values for c:
c = t(4,:);

u = assempde(b,p,e,t,c,a,f);
figure(10)
pdesurf(p,t,u);
[ux,uy] = pdegrad(p,t,u);
figure(1)
pdesurf(p,t,ux)
title('d/dx(u)');
figure(2)
pdesurf(p,t,uy)
title('d/dy(u)');
figure(3)
pdesurf(p,t,c.*ux)
title('c*(d/dx(u))');
figure(4)
pdesurf(p,t,c.*uy)
title('c*(d/dy(u))');
w = 0.* ux;
w2 = w;
w3 = w;


%%%%%%%%%% Stetigkeit prfen %%%%%%%%%%%%%

% Finde alle Grenzkanten zwischen Domain 1 und 2

[I,borderEdges] = find( e( 6:7,: ) == 2 );

for i=1:length(borderEdges)
   
    edge.startNode = e(1,borderEdges(i));
    edge.endNode = e(2,borderEdges(i));
    
    % Bestimme inneres und ueres Dreieck
    [I,J] = find(t(1:3,:) == edge.startNode);
    [I,K] = find(t(1:3,J) == edge.endNode);
    
    if ( t(4,J(K(1))) == 2 )
        edge.innerTri = J(K(1));
        edge.outerTri = J(K(2));
    else
        edge.innerTri = J(K(2));
        edge.outerTri = J(K(1));    
    end
    
    % Bestimme ueren Normalenvektor
    nvec = [0 1; -1 0] * (p(:,edge.endNode) - p(:,edge.startNode));
    nvec = nvec ./ norm(nvec);
    
    w(edge.innerTri) = [ux(edge.innerTri), uy(edge.innerTri)] * nvec;
    w(edge.outerTri) = [ux(edge.outerTri), uy(edge.outerTri)] * nvec;
   
    w3(edge.innerTri) = abs(2 * [ux(edge.innerTri), uy(edge.innerTri)] * nvec - [ux(edge.outerTri), uy(edge.outerTri)] * nvec);
    w3(edge.outerTri) = w3(edge.innerTri);
    
    w2(edge.innerTri) = 2 .* w(edge.innerTri);
    w2(edge.outerTri) = w(edge.outerTri);
    
end


figure(7)
pdesurf(p,t,w3)