function pdemodel
[pde_fig,ax]=pdeinit;
pdetool('appl_cb',1);
pdetool('snapon','on');
set(ax,'DataAspectRatio',[1 1.25 1]);
set(ax,'PlotBoxAspectRatio',[3 2 1]);
set(ax,'XLim',[-0.5 5.5]);
set(ax,'YLim',[0 5]);
set(ax,'XTick',[ -1,...
 0,...
 1,...
 2,...
 3,...
 4,...
 5,...
]);
set(ax,'YTick',[ 0,...
 1,...
 2,...
 3,...
 4,...
 5,...
]);
pdetool('gridon','on');

% Geometry description:
pdecirc(0.25,0.25,0.25,'C1');
pdecirc(4.75,0.25,0.25,'C2');
pdecirc(0.25,3.25,0.25,'C3');
pdecirc(4.75,3.25,0.25,'C4');
pderect([0 5 3.5 0],'R1');
pderect([0 0.25 3.5 3.25],'SQ1');
pderect([0 0.25 0.25 0],'SQ2');
pderect([4.75 5 0.25 0],'SQ3');
pderect([4.75 5 3.5 3.25],'SQ4');
pdecirc(1.5,1,0.5,'C5');
pdecirc(3.5,1.5,0.5,'C6');
pdecirc(1.5,2.5,0.5,'C7');
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','(R1-(SQ1+SQ2+SQ3+SQ4+C5+C6+C7))+C1+C2+C3+C4')

% Boundary conditions:
pdetool('changemode',0)
pdetool('removeb',[2 3 6 7 8 9 10 11 14 15 16 17 19 20 21 22 23 25 26 28 ]);
pdesetbd(20,...
'neu',...
1,...
'0',...
'0')
pdesetbd(19,...
'neu',...
1,...
'0',...
'0')
pdesetbd(18,...
'neu',...
1,...
'0',...
'0')
pdesetbd(17,...
'neu',...
1,...
'0',...
'0')
pdesetbd(16,...
'neu',...
1,...
'0',...
'0')
pdesetbd(15,...
'neu',...
1,...
'0',...
'0')
pdesetbd(14,...
'neu',...
1,...
'0',...
'0')
pdesetbd(13,...
'neu',...
1,...
'0',...
'0')
pdesetbd(12,...
'neu',...
1,...
'0',...
'0')
pdesetbd(11,...
'neu',...
1,...
'0',...
'0')
pdesetbd(10,...
'neu',...
1,...
'0',...
'0')
pdesetbd(9,...
'neu',...
1,...
'0',...
'0')
pdesetbd(8,...
'dir',...
1,...
'1',...
'x.^2')
pdesetbd(7,...
'dir',...
1,...
'1',...
'x.^2')
pdesetbd(6,...
'dir',...
1,...
'1',...
'x.^2')
pdesetbd(5,...
'dir',...
1,...
'1',...
'x.^2')
pdesetbd(4,...
'dir',...
1,...
'1',...
'x.^2')
pdesetbd(3,...
'dir',...
1,...
'1',...
'x.^2')
pdesetbd(2,...
'dir',...
1,...
'1',...
'x.^2')
pdesetbd(1,...
'dir',...
1,...
'1',...
'x.^2')

% Mesh generation:
setappdata(pde_fig,'Hgrad',1.3);
setappdata(pde_fig,'refinemethod','regular');
setappdata(pde_fig,'jiggle',char('on','mean',''));
pdetool('initmesh')
pdetool('refine')
pdetool('refine')

% PDE coefficients:
pdeseteq(1,...
'1.0',...
'0.0',...
'10',...
'1.0',...
'0:10',...
'0.0',...
'0.0',...
'[0 100]')
setappdata(pde_fig,'currparam',...
['1.0';...
'0.0';...
'10 ';...
'1.0'])

% Solve parameters:
setappdata(pde_fig,'solveparam',...
str2mat('0','7344','10','pdeadworst',...
'0.5','longest','0','1E-4','','fixed','Inf'))

% Plotflags and user data strings:
setappdata(pde_fig,'plotflags',[1 1 1 1 1 1 1 1 0 0 0 1 1 0 0 0 0 1]);
setappdata(pde_fig,'colstring','');
setappdata(pde_fig,'arrowstring','');
setappdata(pde_fig,'deformstring','');
setappdata(pde_fig,'heightstring','');
